How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

cancel
Showing results for 
Search instead for 
Did you mean: 
varlok
Active Member II

How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

Hello everybody. Did everything according to the instructions. With the command "npm start" I receive messages:

npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@~2.0.0, required by ng2-translate@2.5.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@~2.0.0, required by ng2-translate@2.5.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0

And at the end of the "build error".

What is the reason and how to fix it?##

1 Solution

Accepted Solutions
Moderator
Moderator

Re: How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

The real error is in the middle and says:

ERROR in /home/user/node_modules/ng2-alfresco-search/src/components/alfresco-search-control.component.ts
(115,44): error TS2559: Type 'true' has no properties in common with type '{ onlySelf?: boolean; emitEvent?: boolean; emitModelToViewChange?: boolean; emitViewToModelChange...'.
ERROR in /home/user/node_modules/ng2-alfresco-search/src/components/alfresco-search-control.component.ts
(154,54): error TS2559: Type 'true' has no properties in common with type '{ onlySelf?: boolean; emitEvent?: boolean; emitModelToViewChange?: boolean; emitViewToModelChange...'.
ERROR in ./app/components/files/files.component.ts
(128,7): error TS2684: The 'this' context of type 'EventEmitter<{}>' is not assignable to method's 'this' of type 'Observable<{}>'.
Types of property 'lift' are incompatible.
Type '<R>(operator: Operator<{}, R>) => Observable<{}>' is not assignable to type '<R>(operator: Operator<{}, R>) => Observable<R>'.
Type 'Observable<{}>' is not assignable to type 'Observable<R>'.
Type '{}' is not assignable to type 'R'.
ERROR in ./app/components/files/files.component.ts

I suspect this is the same global TypeScript problem everyone is getting since yesterday (MS released a version that broke many projects out there).

I suggest removing node_modules, updating "package.json" file and pinning typescript version to "2.3.4" (no extra symbols), and then running "npm install" and "npm start" once again.

View solution in original post

5 Replies
Moderator
Moderator

Re: How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

The "npm ERR! peer dep missing" is often raised by NPM versions before 5.x and are not important for the build/start process. The application should still run. If it's not running please share the full npm error log so we could detect the real source of the problem easier.

varlok
Active Member II

Re: How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

The rest of the output on the screen:

# npm start

> user@0.1.0 start /home/user
> npm run server-versions && npm run webpack-dev-server -- --config config/webpack.prod.js --progress --content-base app/


> user@0.1.0 server-versions /home/user
> rimraf versions.json && npm list --depth=0 --json=true --prod=true > versions.json || exit 0

npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/common@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@~2.0.0, required by ng2-translate@2.5.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/core@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/core@^2.3.0, required by ng2-charts@1.5.0
npm ERR! peer dep missing: @angular/core@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@~2.0.0, required by ng2-translate@2.5.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0
npm ERR! peer dep missing: @angular/http@^2.2.0, required by @angular/material@2.0.0-beta.1
npm ERR! peer dep missing: @angular/http@^2.0.0, required by ng2-translate@5.0.0

> user@0.1.0 webpack-dev-server /home/user
> node --max_old_space_size=4096 node_modules/webpack-dev-server/bin/webpack-dev-server.js "--config" "config/webpack.prod.js" "--progress" "--content-base" "app/"

10% building modules 3/3 modules 0 active
Project is running at http://0.0.0.0:3000/
webpack output is served from /
Content not from webpack is served from /home/user/dist
404s will fallback to /index.html
10% building modules 4/9 modules 5 active .../webpack-dev-server/client/overlay.jsts-loader: Using typescript@2.4.1 and /home/user/tsconfig.json
Hash: 0d2fe6c3a963ef23162f
Version: webpack 2.6.1
Time: 272329ms
chunk {0} 0.0d2fe6c3a963ef23162f.chunk.js, 0.0d2fe6c3a963ef23162f.chunk.js.map 1.43 MB {1} [rendered]
[1074] ./~/pdfjs-dist/build/pdf.worker.js 1.43 MB {0} [built]
chunk {1} vendor.0d2fe6c3a963ef23162f.js, vendor.0d2fe6c3a963ef23162f.css, vendor.0d2fe6c3a963ef23162f.js.map, vendor.0d2fe6c3a963ef23162f.css.map (vendor) 12 MB {3} [initial] [rendered]
[15] ./~/ng2-alfresco-core/bundles/ng2-alfresco-core.js 167 kB {1} [built]
[17] ./~/@angular/common/@angular/common.es5.js 131 kB {1} [built]
[30] ./~/@angular/platform-browser/@angular/platform-browser.es5.js 142 kB {1} [built]
[31] ./~/@angular/router/@angular/router.es5.js 210 kB {1} [built]
[33] ./~/rxjs/Rx.js 9.58 kB {1} [built]
[60] ./~/ng2-alfresco-datatable/bundles/ng2-alfresco-datatable.js 66.1 kB {1} [built]
[64] ./~/@angular/http/@angular/http.es5.js 72.7 kB {1} [built]
[69] ./~/ng2-activiti-form/bundles/ng2-activiti-form.js 353 kB {1} [built]
[458] ./app/vendor.ts 2.17 kB {1} [built]
[1014] ./~/script-loader!./~/dialog-polyfill/dialog-polyfill.js 180 bytes {1} [built]
[1015] ./~/script-loader!./~/md-date-time-picker/dist/js/draggabilly.pkgd.min.js 197 bytes {1} [built]
[1016] ./~/script-loader!./~/md-date-time-picker/dist/js/mdDateTimePicker.min.js 197 bytes {1} [built]
[1017] ./~/script-loader!./~/moment/min/moment.min.js 170 bytes {1} [built]
[1018] ./~/script-loader!./~/raphael/raphael.min.js 168 bytes {1} [built]
[1073] multi (webpack)-dev-server/client?http://0.0.0.0:3000 ./app/vendor.ts 40 bytes {1} [built]
+ 678 hidden modules
chunk {2} app.0d2fe6c3a963ef23162f.js, app.0d2fe6c3a963ef23162f.js.map (app) 109 kB {1} [initial] [rendered]
[454] ./app/components/index.ts 2.14 kB {2} [built]
[456] ./app/main.ts 1.05 kB {2} [built]
[720] ./app/app.component.html 3.38 kB {2} [built]
[750] ./app/app.component.css 502 bytes {2} [built]
[1049] ./app/app.component.ts 5.3 kB {2} [built]
[1050] ./app/app.module.ts 4.24 kB {2} [built]
[1051] ./app/app.routes.ts 2.69 kB {2} [built]
[1052] ./app/components/about/about.component.ts 3.36 kB {2} [built]
[1053] ./app/components/activiti/activiti-demo.component.ts 12.4 kB {2} [built]
[1054] ./app/components/activiti/apps.view.ts 2.24 kB {2} [built]
[1056] ./app/components/activiti/form-node-viewer.component.ts 2.52 kB {2} [built]
[1057] ./app/components/activiti/form-viewer.component.ts 2.46 kB {2} [built]
[1058] ./app/components/files/files.component.ts 9.54 kB {2} [built] [2 errors]
[1063] ./app/components/setting/setting.component.ts 3.62 kB {2} [built]
[1071] multi (webpack)-dev-server/client?http://0.0.0.0:3000 ./app/main.ts 40 bytes {2} [built]
+ 23 hidden modules
chunk {3} polyfills.0d2fe6c3a963ef23162f.js, polyfills.0d2fe6c3a963ef23162f.js.map (polyfills) 578 kB [entry] [rendered]
[84] (webpack)-dev-server/client?http://0.0.0.0:3000 5.78 kB {3} [built]
[457] ./app/polyfills.ts 306 bytes {3} [built]
[554] ./~/core-js/es6/index.js 5.88 kB {3} [built]
[555] ./~/core-js/es7/reflect.js 510 bytes {3} [built]
[707] ./~/events/events.js 8.33 kB {3} [built]
[717] ./~/html-entities/index.js 231 bytes {3} [built]
[745] ./~/punycode/punycode.js 14.7 kB {3} [built]
[748] ./~/querystring-es3/index.js 127 bytes {3} [built]
[1046] ./~/strip-ansi/index.js 161 bytes {3} [built]
[1064] ./~/url/url.js 23.3 kB {3} [built]
[1066] (webpack)-dev-server/client/overlay.js 3.73 kB {3} [built]
[1067] (webpack)-dev-server/client/socket.js 897 bytes {3} [built]
[1069] (webpack)/hot/emitter.js 77 bytes {3} [built]
[1070] ./~/zone.js/dist/zone.js 94.2 kB {3} [built]
[1072] multi (webpack)-dev-server/client?http://0.0.0.0:3000 ./app/polyfills.ts 40 bytes {3} [built]
+ 328 hidden modules

ERROR in /home/user/node_modules/ng2-alfresco-search/src/components/alfresco-search-control.component.ts
(115,44): error TS2559: Type 'true' has no properties in common with type '{ onlySelf?: boolean; emitEvent?: boolean; emitModelToViewChange?: boolean; emitViewToModelChange...'.

ERROR in /home/user/node_modules/ng2-alfresco-search/src/components/alfresco-search-control.component.ts
(154,54): error TS2559: Type 'true' has no properties in common with type '{ onlySelf?: boolean; emitEvent?: boolean; emitModelToViewChange?: boolean; emitViewToModelChange...'.

ERROR in ./app/components/files/files.component.ts
(128,7): error TS2684: The 'this' context of type 'EventEmitter<{}>' is not assignable to method's 'this' of type 'Observable<{}>'.
Types of property 'lift' are incompatible.
Type '<R>(operator: Operator<{}, R>) => Observable<{}>' is not assignable to type '<R>(operator: Operator<{}, R>) => Observable<R>'.
Type 'Observable<{}>' is not assignable to type 'Observable<R>'.
Type '{}' is not assignable to type 'R'.

ERROR in ./app/components/files/files.component.ts
(134,7): error TS2684: The 'this' context of type 'EventEmitter<{}>' is not assignable to method's 'this' of type 'Observable<{}>'.

ERROR in /home/user/Downloads/idea-IU-171.4073.35/plugins/JavaScriptLanguage/languageService/eslint/src/test/synchTest.ts
(1,22): error TS6053: File 'C:/id/config/webstorm/javascript/extLibs/http_github.com_DefinitelyTyped_DefinitelyTyped_raw_master_mocha_index.d.ts' not found.

ERROR in /home/user/Downloads/idea-IU-171.4073.35/plugins/JavaScriptLanguage/languageService/eslint/src/eslint-plugin-provider.ts
(9,5): error TS4025: Exported variable 'factory' has or is using private name 'ESLintPluginFactory'.
Child html-webpack-plugin for "index.html":
chunk {0} index.html 2.26 kB [entry] [rendered]
[0] ./~/html-webpack-plugin/lib/loader.js!./index.html 2.26 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 3.56 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./~/css-loader?sourceMap!./~/dialog-polyfill/dialog-polyfill.css 2.05 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 322 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./~/css-loader?sourceMap!./~/material-design-lite/dist/material.orange-blue.min.css 321 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 38.6 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./~/css-loader?sourceMap!./public/css/angular-material.css 37.1 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 4.71 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./~/css-loader?sourceMap!./public/css/app.css 3.2 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 4.83 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./~/material-design-icons/iconfont/MaterialIcons-Regular.eot 111 bytes {0} [built]
[2] ./~/material-design-icons/iconfont/MaterialIcons-Regular.ttf 111 bytes {0} [built]
[3] ./~/material-design-icons/iconfont/MaterialIcons-Regular.woff 112 bytes {0} [built]
[4] ./~/material-design-icons/iconfont/MaterialIcons-Regular.woff2 113 bytes {0} [built]
[5] ./~/css-loader?sourceMap!./~/material-design-icons/iconfont/material-icons.css 2.87 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 135 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[2] ./~/flag-icon-css/flags/1x1/ae.svg 92 bytes {0} [built]
[3] ./~/flag-icon-css/flags/1x1/af.svg 92 bytes {0} [built]
[4] ./~/flag-icon-css/flags/1x1/ag.svg 92 bytes {0} [built]
[5] ./~/flag-icon-css/flags/1x1/ai.svg 92 bytes {0} [built]
[6] ./~/flag-icon-css/flags/1x1/al.svg 92 bytes {0} [built]
[7] ./~/flag-icon-css/flags/1x1/am.svg 92 bytes {0} [built]
[8] ./~/flag-icon-css/flags/1x1/ao.svg 92 bytes {0} [built]
[9] ./~/flag-icon-css/flags/1x1/aq.svg 92 bytes {0} [built]
[10] ./~/flag-icon-css/flags/1x1/ar.svg 92 bytes {0} [built]
[11] ./~/flag-icon-css/flags/1x1/as.svg 92 bytes {0} [built]
[12] ./~/flag-icon-css/flags/1x1/at.svg 92 bytes {0} [built]
[13] ./~/flag-icon-css/flags/1x1/au.svg 92 bytes {0} [built]
[14] ./~/flag-icon-css/flags/1x1/aw.svg 92 bytes {0} [built]
[511] ./~/css-loader?sourceMap!./~/flag-icon-css/css/flag-icon.min.css 86.3 kB {0} [built]
+ 497 hidden modules
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 9.23 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./public/fonts/Muli-Regular.ttf 102 bytes {0} [built]
[2] ./~/css-loader?sourceMap!./public/css/muli-font.css 7.62 kB {0} [built]
Child extract-text-webpack-plugin:
chunk {0} extract-text-webpack-plugin-output-filename 133 kB [entry] [rendered]
[0] ./~/css-loader/lib/css-base.js 1.51 kB {0} [built]
[1] ./~/md-date-time-picker/dist/images/ic_keyboard_arrow_left_black_24px.svg 123 bytes {0} [built]
[2] ./~/md-date-time-picker/dist/images/ic_keyboard_arrow_left_black_disabled_24px.svg 132 bytes {0} [built]
[3] ./~/md-date-time-picker/dist/images/ic_keyboard_arrow_right_black_24px.svg 124 bytes {0} [built]
[4] ./~/md-date-time-picker/dist/images/ic_keyboard_arrow_right_black_disabled_24px.svg 133 bytes {0} [built]
[5] ./~/css-loader?sourceMap!./~/md-date-time-picker/dist/css/mdDateTimePicker.css 131 kB {0} [built]
webpack: Failed to compile.

varlok
Active Member II

Re: How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

http://localhost:3000/ 

Cannot GET /
Moderator
Moderator

Re: How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

The real error is in the middle and says:

ERROR in /home/user/node_modules/ng2-alfresco-search/src/components/alfresco-search-control.component.ts
(115,44): error TS2559: Type 'true' has no properties in common with type '{ onlySelf?: boolean; emitEvent?: boolean; emitModelToViewChange?: boolean; emitViewToModelChange...'.
ERROR in /home/user/node_modules/ng2-alfresco-search/src/components/alfresco-search-control.component.ts
(154,54): error TS2559: Type 'true' has no properties in common with type '{ onlySelf?: boolean; emitEvent?: boolean; emitModelToViewChange?: boolean; emitViewToModelChange...'.
ERROR in ./app/components/files/files.component.ts
(128,7): error TS2684: The 'this' context of type 'EventEmitter<{}>' is not assignable to method's 'this' of type 'Observable<{}>'.
Types of property 'lift' are incompatible.
Type '<R>(operator: Operator<{}, R>) => Observable<{}>' is not assignable to type '<R>(operator: Operator<{}, R>) => Observable<R>'.
Type 'Observable<{}>' is not assignable to type 'Observable<R>'.
Type '{}' is not assignable to type 'R'.
ERROR in ./app/components/files/files.component.ts

I suspect this is the same global TypeScript problem everyone is getting since yesterday (MS released a version that broke many projects out there).

I suggest removing node_modules, updating "package.json" file and pinning typescript version to "2.3.4" (no extra symbols), and then running "npm install" and "npm start" once again.

View solution in original post

varlok
Active Member II

Re: How to fix the error "npm ERR! Peer dep missing: @ angular ..."?

Jump to solution

Thank you. It really helped!